Delete Sandbox Preview
curl --request DELETE \
--url https://api.blaxel.ai/v0/sandboxes/{sandboxName}/previews/{previewName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/sandboxes/{sandboxName}/previews/{previewName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/sandboxes/{sandboxName}/previews/{previewName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"name": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "<string>",
"resourceName": "<string>",
"resourceType": "<string>",
"workspace": "<string>"
},
"spec": {
"customDomain": "<string>",
"expires": "<string>",
"port": 123,
"prefixUrl": "<string>",
"public": true,
"region": "<string>",
"requestHeaders": {},
"responseHeaders": {},
"ttl": "<string>",
"url": "<string>"
},
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
]
}compute
Delete Sandbox Preview
Deletes a Sandbox Preview by name.
DELETE
/
sandboxes
/
{sandboxName}
/
previews
/
{previewName}
Delete Sandbox Preview
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Path Parameters
Name of the Sandbox
Name of the Preview
Response
200 - application/json
successful operation
Preview of a Resource
PreviewMetadata
Show child attributes
Show child attributes
Preview of a Resource
Show child attributes
Show child attributes
Events happening on a resource deployed on Blaxel
Show child attributes
Show child attributes
Deployment status of a resource deployed on Blaxel
Available options:
DELETING, TERMINATED, FAILED, DEACTIVATED, DEACTIVATING, UPLOADING, BUILDING, DEPLOYING, DEPLOYED, BUILT Last modified on July 1, 2026
Was this page helpful?
⌘I
